Subject: [Sip] crossover of 200 ok and PRACK

From: Chadha Retesh-A19894 <[email-masked]>
Date: Thu, 7 Apr 2005 11:58:00 +0530

Hi
I think the following scenario is not discussed in the RFC 3262.
What wil be the response to PRACK -- 481 or 200 ok???
 
INVITE (with 100 rel) ---->
                              <----- 180 ringing (Rseq 1, without sdp)
                              <----- 200 ok (INVITE), as user accepted the
call, and since 180 didn't have sdp, 200 need not be delayed.
PRACK (siince it first got 180) ---->
ACK ---->
 
This response will matter for interoperability with another Sip client.
 
Thanks & rgds, 
Retesh
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Malleswara Rao Ankem <[email-masked]>
Date: Thu, 7 Apr 2005 15:27:37 +0530

Plz go thru this Sec.3 of 3262
"  If the UAS does send a
   final response when reliable responses are still unacknowledged, it
   SHOULD NOT continue to retransmit the unacknowledged reliable
   provisional responses, but it MUST be prepared to process PRACK
   requests for those outstanding responses.  A UAS MUST NOT send new
   reliable provisional responses (as opposed to retransmissions of
   unacknowledged ones) after sending a final response to a request."
>From above it is quite clear that the UAS MUST be prepared to handle
the PRACK which (ofcourse implicitly) means to respond with a 200Ok.

regds
Mallesh

On Apr 7, 2005 11:58 AM, Chadha Retesh-A19894 <[email-masked]> wrote:
>                               <----- 200 ok (INVITE), as
> user accepted the call, and since 180 didn't have sdp, 200 need not be
> delayed.
> Sip mailing list 
> https://www1.ietf.org/mailman/listinfo/sip